# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-moksha-hub
%global modname moksha.hub

Name:           python-module-moksha-hub
Version:        1.1.0
Release:        alt1_2
Summary:        Hub components for Moksha

Group:          Development/Python
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/moksha.hub
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-mock

BuildRequires:  python-module-moksha-common >= 1.0.6
BuildRequires:  python-module-twisted
BuildRequires:  python-module-qpid
BuildRequires:  python-module-stomper
BuildRequires:  python-module-txzmq
BuildRequires:  python-module-txws
BuildRequires:  python-module-daemon


# Its a whole different package now.
Conflicts:      moksha < 1.0.0
Source44: import.info
# in .pth
%py_provides moksha
%filter_from_requires /^python....moksha./d

%description
Hub components for Moksha.

%prep
%setup -q -n %{modname}-%{version}

# Removed twisted from the list of deps in setup.py.
%{__sed} -i 's/"Twisted",//' setup.py


%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%if 0%{?rhel} >= 6
# Test suite requires a more modern Twisted than is in el6, so don't run it for
# now.
%else
%{__python} setup.py test
%endif

%files
%doc README COPYING AUTHORS
%{python_sitelibdir_noarch}/moksha/hub/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%{_bindir}/moksha-hub

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_2
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- initial fc import

